Subject: bug#9819: closed (Re: bug#9819: 24.0.50; Docstring of `define-minor-mode' and KEYMAP)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Oct 2011 17:40:02 +0000

Your bug report

#9819: 24.0.50; Docstring of `define-minor-mode' and KEYMAP

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9819: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9819
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9819: 24.0.50; Docstring of `define-minor-mode' and KEYMAP
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 24 Oct 2011 13:37:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.91

I have tried to clarify the doc-string.

Subject: 24.0.50; Docstring of `define-minor-mode' and KEYMAP
From: Deniz Dogan <[email-masked]>
To: [email-masked]
Date: Fri, 21 Oct 2011 00:57:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I read in the docstring of `define-minor-mode':

<quote>
Optional KEYMAP is the default keymap bound to the mode keymap.
  If non-nil, it should be a variable name (whose value is a keymap),
  or an expression that returns either a keymap or a list of
  arguments for `easy-mmode-define-keymap'.  If KEYMAP is not a symbol,
  this also defines the variable MODE-map.

  [...]

:keymap MAP	Same as the KEYMAP argument.
</quote>

The way I interpret that is: if I don't pass a KEYMAP argument, it will
define a variable named `MODE-map'.  However, this doesn't happen when I
use this code:

<quote>
(define-minor-mode helo-track-minor-mode
  "Global minor mode for tracking activity in helo buffers."
  :init-value nil
  :lighter ""
  :global t
  :group 'helo
  [...]
</quote>

Am I misunderstanding the docstring or is this a bug?

Deniz